"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var tslib_1 = require("tslib");
var core_1 = require("@ts-ioc/core");
var logs_1 = require("@ts-ioc/logs");
var aop_1 = require("@ts-ioc/aop");
/**
 * debug lod aspect.
 *
 * @export
 * @class DebugLogAspect
 * @extends {LoggerAspect}
 */
var DebugLogAspect = /** @class */ (function (_super) {
    tslib_1.__extends(DebugLogAspect, _super);
    function DebugLogAspect(container) {
        return _super.call(this, container) || this;
    }
    DebugLogAspect.prototype.logging = function (joinPoint) {
        var level;
        switch (joinPoint.state) {
            case aop_1.JoinpointState.AfterThrowing:
                level = logs_1.Level.error;
                break;
            case aop_1.JoinpointState.AfterReturning:
                level = logs_1.Level.debug;
                break;
            case aop_1.JoinpointState.After:
            case aop_1.JoinpointState.Before:
                level = logs_1.Level.trace;
                break;
        }
        this.processLog(joinPoint, null, null, level);
    };
    DebugLogAspect.classAnnations = { "name": "DebugLogAspect", "params": { "constructor": ["container"], "logging": ["joinPoint"] } };
    tslib_1.__decorate([
        aop_1.Around('execution(*.*)'),
        tslib_1.__metadata("design:type", Function),
        tslib_1.__metadata("design:paramtypes", [aop_1.Joinpoint]),
        tslib_1.__metadata("design:returntype", void 0)
    ], DebugLogAspect.prototype, "logging", null);
    DebugLogAspect = tslib_1.__decorate([
        core_1.Singleton,
        aop_1.Aspect,
        tslib_1.__param(0, core_1.Inject(core_1.ContainerToken)),
        tslib_1.__metadata("design:paramtypes", [Object])
    ], DebugLogAspect);
    return DebugLogAspect;
}(logs_1.LoggerAspect));
exports.DebugLogAspect = DebugLogAspect;

//# sourceMappingURL=../sourcemaps/aop/DebugLogAspect.js.map
