/// <reference types="node" />
import { InjectToken, IContainer, Token } from '@ts-ioc/core';
import { IConfiguration } from '../IConfiguration';
import { ILoggerManager, ILogger } from '@ts-ioc/logs';
import * as http from 'http';
import * as https from 'https';
import { IMiddleware } from './middlewares/index';
import { ServerMiddleware, IServerMiddleware } from './servers/index';
/**
 * Application token.
 */
export declare const ApplicationToken: InjectToken<IApplication>;
/**
 * Applaction interface.
 *
 * @export
 * @interface IApplication
 */
export interface IApplication {
    container: IContainer;
    configuration: IConfiguration;
    getServer(): any;
    getLoggerManger(): ILoggerManager;
    getLogger(name?: string): ILogger;
    getHttpServer(): http.Server | https.Server;
    use(middleware: Function): any;
    geDefaultMiddlewares(): InjectToken<IMiddleware>[];
    setup(beforeSMdls: (ServerMiddleware | Token<IServerMiddleware>)[], afterSMdls: (ServerMiddleware | Token<IServerMiddleware>)[]): any;
    setupRoutes(config: IConfiguration): any;
    setupMiddlewares(middlewares: Token<any>[], filter?: (token: Token<any>) => boolean): any;
}
