"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var core_1 = require("@ts-ioc/core");
/**
 * Cors Decorator, define controller class or controller method support cors.
 * @Cors
 * @param name
 * @param adapter
 * @param metadataExtends
 */
function createCorsDecorator(name, adapter, metadataExtends) {
    return core_1.createClassMethodDecorator(name, function (args) {
        if (adapter) {
            adapter(args);
        }
        args.next({
            match: function (arg) { return core_1.isArray(arg) || core_1.isString(arg); },
            setMetadata: function (metatdata, arg) {
                if (core_1.isString(arg)) {
                    metatdata.allowMethods = arg;
                }
                else {
                    var allowMethods = arg;
                    metatdata.allowMethods = allowMethods.filter(function (m) { return !core_1.isUndefined(m) && m !== null; });
                }
            }
        });
        args.next({
            match: function (arg) { return core_1.isNumber(arg); },
            setMetadata: function (metatdata, arg) {
                metatdata.maxAge = arg;
            }
        });
        args.next({
            match: function (arg) { return core_1.isArray(arg); },
            setMetadata: function (metatdata, arg) {
                var allowHeaders = arg;
                metatdata.allowHeaders = allowHeaders.filter(function (h) { return !!h; });
            }
        });
    }, metadataExtends);
}
exports.createCorsDecorator = createCorsDecorator;
/**
 * Cors Decorator, define controller class or controller method support cors.
 * @Cors
 */
exports.Cors = createCorsDecorator('Cors');

//# sourceMappingURL=../../sourcemaps/core/decorators/Cors.js.map
