"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var tslib_1 = require("tslib");
var core_1 = require("@ts-ioc/core");
var decorators_1 = require("../decorators");
var IMiddleware_1 = require("./IMiddleware");
var IApplication_1 = require("../IApplication");
var IConfiguration_1 = require("../../IConfiguration");
var platform_server_1 = require("@ts-ioc/platform-server");
var views = require('koa-views');
var DefaultViewsMiddleware = /** @class */ (function () {
    function DefaultViewsMiddleware() {
    }
    DefaultViewsMiddleware.prototype.setup = function () {
        var viewPath = platform_server_1.toAbsolutePath(this.config.rootdir, this.config.views);
        console.log('view path:', viewPath);
        this.app.use(views(viewPath, this.config.viewsOptions));
    };
    DefaultViewsMiddleware.classAnnations = { "name": "DefaultViewsMiddleware", "params": { "constructor": [], "setup": [] } };
    tslib_1.__decorate([
        core_1.Inject(IApplication_1.ApplicationToken),
        tslib_1.__metadata("design:type", Object)
    ], DefaultViewsMiddleware.prototype, "app", void 0);
    tslib_1.__decorate([
        core_1.Inject(IConfiguration_1.ConfigurationToken),
        tslib_1.__metadata("design:type", Object)
    ], DefaultViewsMiddleware.prototype, "config", void 0);
    DefaultViewsMiddleware = tslib_1.__decorate([
        decorators_1.Middleware(IMiddleware_1.ViewsMiddlewareToken),
        tslib_1.__metadata("design:paramtypes", [])
    ], DefaultViewsMiddleware);
    return DefaultViewsMiddleware;
}());
exports.DefaultViewsMiddleware = DefaultViewsMiddleware;

//# sourceMappingURL=../../sourcemaps/core/middlewares/DefaultViewsMiddleware.js.map
