"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var tslib_1 = require("tslib");
var ResultValue_1 = require("./ResultValue");
/**
 * redirect url
 *
 * @export
 * @class RedirectResult
 * @extends {ResultValue}
 */
var RedirectResult = /** @class */ (function (_super) {
    tslib_1.__extends(RedirectResult, _super);
    function RedirectResult(url, alt) {
        var _this = _super.call(this, 'text/html') || this;
        _this.url = url;
        _this.alt = alt;
        return _this;
    }
    RedirectResult.prototype.sendValue = function (ctx, container) {
        return tslib_1.__awaiter(this, void 0, void 0, function () {
            return tslib_1.__generator(this, function (_a) {
                // ctx.type = this.contentType;
                return [2 /*return*/, ctx.redirect(this.url, this.alt)];
            });
        });
    };
    RedirectResult.classAnnations = { "name": "RedirectResult", "params": { "constructor": ["url", "alt"], "sendValue": ["ctx", "container"] } };
    return RedirectResult;
}(ResultValue_1.ResultValue));
exports.RedirectResult = RedirectResult;

//# sourceMappingURL=../../sourcemaps/core/results/RedirectResult.js.map
