"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var tslib_1 = require("tslib");
var logs_1 = require("@ts-ioc/logs");
var aop_1 = require("@ts-ioc/aop");
var core_1 = require("@ts-ioc/core");
/**
 * log4js logger manager adapter.
 *
 * @export
 * @class Log4jsAdapter
 * @implements {ILoggerManger}
 */
var Log4jsAdapter = /** @class */ (function () {
    function Log4jsAdapter() {
    }
    Log4jsAdapter.prototype.getLog4js = function () {
        if (!this._log4js) {
            this._log4js = require('log4js');
        }
        return this._log4js;
    };
    Log4jsAdapter.prototype.configure = function (config) {
        this.getLog4js().configure(config);
    };
    Log4jsAdapter.prototype.getLogger = function (name) {
        return this.getLog4js().getLogger(name);
    };
    Log4jsAdapter.classAnnations = { "name": "Log4jsAdapter", "params": { "constructor": [], "getLog4js": [], "configure": ["config"], "getLogger": ["name"] } };
    Log4jsAdapter = tslib_1.__decorate([
        aop_1.NonePointcut,
        core_1.Singleton,
        core_1.Injectable(logs_1.LoggerManagerToken, 'log4js'),
        tslib_1.__metadata("design:paramtypes", [])
    ], Log4jsAdapter);
    return Log4jsAdapter;
}());
exports.Log4jsAdapter = Log4jsAdapter;

//# sourceMappingURL=../sourcemaps/logAdapter/Log4jsAdapter.js.map
